
import javax.swing.*;
import javax.swing.filechooser.FileFilter;
import java.awt.*;
import java.io.File;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: Amir  Sheibani
 * Date: Apr 2, 2004
 * Time: 6:44:57 AM
 * To change this template use Options | File Templates.
 */
public class VideoFileChooser extends JFileChooser {

    private Component parent;


    public VideoFileChooser(Component parent, String dialogTitle) {
        this(parent);
        setDialogTitle(dialogTitle);
    }

    public VideoFileChooser(Component parent) {
        this.parent = parent;

        setFileFilter(new FileFilter() {

            public boolean accept(File f) {
                return f.isDirectory() || f.getName().endsWith(".576v");
            }

            public String getDescription() {
                return "*.576v";
            }
        });
    }

    public File open() throws IOException {

        File file = null;

        int returnVal = showOpenDialog(parent);
        if (returnVal == APPROVE_OPTION) {
            file = getSelectedFile();
        }

        return file;
    }
}
