package model;

/**
 * Created by IntelliJ IDEA.
 * User: Amir  Sheibani
 * Date: Apr 3, 2004
 * Time: 6:57:28 AM
 * To change this template use Options | File Templates.
 */
public class GridMacroBlock extends MacroBlock {
    public static final int SIZE = 16;

    final private int x;
    final private int y;

    public GridMacroBlock(final ImageRGBData data, final int x, final int y) {
        super(data);
        this.x = x;
        this.y = y;
        origin = getOrigin();
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    private int getOrigin() {
        return ((y * SIZE) * data.getWidth()) + ((x * SIZE));
    }
}
